GreatWksDBParserInternal::Block::Zone Struct Reference

a small block of a GreatWksDBParserInternal::Block More...

## Public Member Functions

| Zone ()
| constructor

## Public Attributes

long | m_ptr
| the begin zone pointer
int | m_N
| the number of sub data
long | m_dataSize
| the data size

## Detailed Description

a small block of a GreatWksDBParserInternal::Block

## Constructor & Destructor Documentation

## Zone()

GreatWksDBParserInternal::Block::Zone::Zone | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_dataSize

long GreatWksDBParserInternal::Block::Zone::m_dataSize

the data size

Referenced by GreatWksDBParser::createBlock(), and Zone().

## m_N

int GreatWksDBParserInternal::Block::Zone::m_N

the number of sub data

Referenced by GreatWksDBParser::createBlock(), and Zone().

## m_ptr

long GreatWksDBParserInternal::Block::Zone::m_ptr

the begin zone pointer

Referenced by GreatWksDBParser::createBlock(), GreatWksDBParser::readBlock(), GreatWksDBParser::readBlockHeader2(), GreatWksDBParser::readFreeList(), GreatWksDBParser::readRecordList(), GreatWksDBParser::readRowLinks(), and Zone().

The documentation for this struct was generated from the following file:

- GreatWksDBParser.cxx